Bug 5992 - Game couldn't load musicfile SALCON.MOD
: Game couldn't load musicfile SALCON.MOD
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/supertux)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-29 22:11 by
Modified: 2008-08-17 14:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-29 22:11:39
eugene ~ $ rpm -q supertux
supertux-0.1.2-alt2.1

Игра не запускается, пишет:

eugene ~ $ supertux                               
Datadir: /usr/bin/../share/supertux
Warning: No joysticks are available.

Error: Couldn't load musicfile 
/usr/bin/../share/supertux/music/SALCON.MOD

zsh: 11456 abort      supertux

Хотя сам файл имеет место быть:
eugene ~ $ file /usr/share/supertux/music/SALCON.MOD 
/usr/share/supertux/music/SALCON.MOD: Fasttracker II module sound data

Раньше все работало.
------- Comment #1 From 2005-01-30 03:44:13 -------
У меня работает. Проверено на свежем сизифе. Отправлю письмо в сизиф с просьбой 
о подтверждении. 
------- Comment #2 From 2005-01-30 21:57:20 -------
Подтверждаю баг, симптомы те же.
------- Comment #3 From 2005-01-30 22:00:41 -------
Завтра пересоберу на свежем сизифе.  
------- Comment #4 From 2005-02-21 13:45:02 -------
В результате подземного стука программа волшебным образом излечилась. Теперь
она
запускается и работает. Возможно были проблемы переходного периода на gcc3.4. Я
хотел бы попросить проверить поведение программы Алексея Русакова.
------- Comment #5 From 2005-02-21 13:56:20 -------
Хм, подтверждаю, у меня тоже вылечилось %-)
------- Comment #6 From 2005-02-21 14:08:52 -------
Ну тогда видимо FIXED
------- Comment #7 From 2008-08-17 14:18:10 -------
supertux-0.1.3  USE="opengl"
---------------------------
pavel@win95 ~ $ supertux
Datadir: /usr/share/games/supertux
Warning: No joysticks are available.

Error: Can't load
/usr/share/games/supertux/images/status/letters-black.png

Аварийный останов
-----------------------------
как лечить?